| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_TO_LIST

BOOST_VMD_TUPLE_TO_LIST — converts a tuple to a list.

## Synopsis

    // In header: <boost/vmd/tuple/to_list.hpp>

    BOOST_VMD_TUPLE_TO_LIST(tuple)

## Description

tuple = tuple to be converted.

If the tuple is an empty tuple it is converted to an empty list (BOOST_PP_NIL). Otherwise the tuple is converted to a list with the same number of elements as the tuple.